from block_wrangler.tag import TagLibrary
from block_wrangler.library.factories import block_types


def load_tags(library:TagLibrary):
	tag = library.touch('minecraft:mineable/pickaxe')
	tag.add(library.touch('minecraft:anvil'))
	tag.add(library.touch('minecraft:cauldrons'))
	tag.add(library.touch('minecraft:rails'))
	tag.add(library.touch('minecraft:shulker_boxes'))
	tag.add(library.touch('minecraft:stone_buttons'))
	tag.add(library.touch('minecraft:walls'))
	
	tag.add(block_types(
		'minecraft:amethyst_block',
		'minecraft:amethyst_cluster',
		'minecraft:ancient_debris',
		'minecraft:andesite',
		'minecraft:andesite_slab',
		'minecraft:andesite_stairs',
		'minecraft:basalt',
		'minecraft:bell',
		'minecraft:black_concrete',
		'minecraft:black_glazed_terracotta',
		'minecraft:black_terracotta',
		'minecraft:blackstone',
		'minecraft:blackstone_slab',
		'minecraft:blackstone_stairs',
		'minecraft:blast_furnace',
		'minecraft:blue_concrete',
		'minecraft:blue_glazed_terracotta',
		'minecraft:blue_ice',
		'minecraft:blue_terracotta',
		'minecraft:bone_block',
		'minecraft:brain_coral_block',
		'minecraft:brewing_stand',
		'minecraft:brick_slab',
		'minecraft:brick_stairs',
		'minecraft:bricks',
		'minecraft:brown_concrete',
		'minecraft:brown_glazed_terracotta',
		'minecraft:brown_terracotta',
		'minecraft:bubble_coral_block',
		'minecraft:budding_amethyst',
		'minecraft:calcite',
		'minecraft:chain',
		'minecraft:chiseled_copper',
		'minecraft:chiseled_deepslate',
		'minecraft:chiseled_nether_bricks',
		'minecraft:chiseled_polished_blackstone',
		'minecraft:chiseled_quartz_block',
		'minecraft:chiseled_red_sandstone',
		'minecraft:chiseled_resin_bricks',
		'minecraft:chiseled_sandstone',
		'minecraft:chiseled_stone_bricks',
		'minecraft:chiseled_tuff',
		'minecraft:chiseled_tuff_bricks',
		'minecraft:coal_block',
		'minecraft:coal_ore',
		'minecraft:cobbled_deepslate',
		'minecraft:cobbled_deepslate_slab',
		'minecraft:cobbled_deepslate_stairs',
		'minecraft:cobblestone',
		'minecraft:cobblestone_slab',
		'minecraft:cobblestone_stairs',
		'minecraft:conduit',
		'minecraft:copper_block',
		'minecraft:copper_bulb',
		'minecraft:copper_door',
		'minecraft:copper_grate',
		'minecraft:copper_ore',
		'minecraft:copper_trapdoor',
		'minecraft:cracked_deepslate_bricks',
		'minecraft:cracked_deepslate_tiles',
		'minecraft:cracked_nether_bricks',
		'minecraft:cracked_polished_blackstone_bricks',
		'minecraft:cracked_stone_bricks',
		'minecraft:crafter',
		'minecraft:crimson_nylium',
		'minecraft:crying_obsidian',
		'minecraft:cut_copper',
		'minecraft:cut_copper_slab',
		'minecraft:cut_copper_stairs',
		'minecraft:cut_red_sandstone',
		'minecraft:cut_red_sandstone_slab',
		'minecraft:cut_sandstone',
		'minecraft:cut_sandstone_slab',
		'minecraft:cyan_concrete',
		'minecraft:cyan_glazed_terracotta',
		'minecraft:cyan_terracotta',
		'minecraft:dark_prismarine',
		'minecraft:dark_prismarine_slab',
		'minecraft:dark_prismarine_stairs',
		'minecraft:dead_brain_coral',
		'minecraft:dead_brain_coral_block',
		'minecraft:dead_brain_coral_fan',
		'minecraft:dead_brain_coral_wall_fan',
		'minecraft:dead_bubble_coral',
		'minecraft:dead_bubble_coral_block',
		'minecraft:dead_bubble_coral_fan',
		'minecraft:dead_bubble_coral_wall_fan',
		'minecraft:dead_fire_coral',
		'minecraft:dead_fire_coral_block',
		'minecraft:dead_fire_coral_fan',
		'minecraft:dead_fire_coral_wall_fan',
		'minecraft:dead_horn_coral',
		'minecraft:dead_horn_coral_block',
		'minecraft:dead_horn_coral_fan',
		'minecraft:dead_horn_coral_wall_fan',
		'minecraft:dead_tube_coral',
		'minecraft:dead_tube_coral_block',
		'minecraft:dead_tube_coral_fan',
		'minecraft:dead_tube_coral_wall_fan',
		'minecraft:deepslate',
		'minecraft:deepslate_brick_slab',
		'minecraft:deepslate_brick_stairs',
		'minecraft:deepslate_bricks',
		'minecraft:deepslate_coal_ore',
		'minecraft:deepslate_copper_ore',
		'minecraft:deepslate_diamond_ore',
		'minecraft:deepslate_emerald_ore',
		'minecraft:deepslate_gold_ore',
		'minecraft:deepslate_iron_ore',
		'minecraft:deepslate_lapis_ore',
		'minecraft:deepslate_redstone_ore',
		'minecraft:deepslate_tile_slab',
		'minecraft:deepslate_tile_stairs',
		'minecraft:deepslate_tiles',
		'minecraft:diamond_block',
		'minecraft:diamond_ore',
		'minecraft:diorite',
		'minecraft:diorite_slab',
		'minecraft:diorite_stairs',
		'minecraft:dispenser',
		'minecraft:dripstone_block',
		'minecraft:dropper',
		'minecraft:emerald_block',
		'minecraft:emerald_ore',
		'minecraft:enchanting_table',
		'minecraft:end_stone',
		'minecraft:end_stone_brick_slab',
		'minecraft:end_stone_brick_stairs',
		'minecraft:end_stone_bricks',
		'minecraft:ender_chest',
		'minecraft:exposed_chiseled_copper',
		'minecraft:exposed_copper',
		'minecraft:exposed_copper_bulb',
		'minecraft:exposed_copper_door',
		'minecraft:exposed_copper_grate',
		'minecraft:exposed_copper_trapdoor',
		'minecraft:exposed_cut_copper',
		'minecraft:exposed_cut_copper_slab',
		'minecraft:exposed_cut_copper_stairs',
		'minecraft:fire_coral_block',
		'minecraft:furnace',
		'minecraft:gilded_blackstone',
		'minecraft:gold_block',
		'minecraft:gold_ore',
		'minecraft:granite',
		'minecraft:granite_slab',
		'minecraft:granite_stairs',
		'minecraft:gray_concrete',
		'minecraft:gray_glazed_terracotta',
		'minecraft:gray_terracotta',
		'minecraft:green_concrete',
		'minecraft:green_glazed_terracotta',
		'minecraft:green_terracotta',
		'minecraft:grindstone',
		'minecraft:heavy_core',
		'minecraft:heavy_weighted_pressure_plate',
		'minecraft:hopper',
		'minecraft:horn_coral_block',
		'minecraft:ice',
		'minecraft:infested_chiseled_stone_bricks',
		'minecraft:infested_cobblestone',
		'minecraft:infested_cracked_stone_bricks',
		'minecraft:infested_deepslate',
		'minecraft:infested_mossy_stone_bricks',
		'minecraft:infested_stone',
		'minecraft:infested_stone_bricks',
		'minecraft:iron_bars',
		'minecraft:iron_block',
		'minecraft:iron_door',
		'minecraft:iron_ore',
		'minecraft:iron_trapdoor',
		'minecraft:lantern',
		'minecraft:lapis_block',
		'minecraft:lapis_ore',
		'minecraft:large_amethyst_bud',
		'minecraft:light_blue_concrete',
		'minecraft:light_blue_glazed_terracotta',
		'minecraft:light_blue_terracotta',
		'minecraft:light_gray_concrete',
		'minecraft:light_gray_glazed_terracotta',
		'minecraft:light_gray_terracotta',
		'minecraft:light_weighted_pressure_plate',
		'minecraft:lightning_rod',
		'minecraft:lime_concrete',
		'minecraft:lime_glazed_terracotta',
		'minecraft:lime_terracotta',
		'minecraft:lodestone',
		'minecraft:magenta_concrete',
		'minecraft:magenta_glazed_terracotta',
		'minecraft:magenta_terracotta',
		'minecraft:magma_block',
		'minecraft:medium_amethyst_bud',
		'minecraft:mossy_cobblestone',
		'minecraft:mossy_cobblestone_slab',
		'minecraft:mossy_cobblestone_stairs',
		'minecraft:mossy_stone_brick_slab',
		'minecraft:mossy_stone_brick_stairs',
		'minecraft:mossy_stone_bricks',
		'minecraft:mud_brick_slab',
		'minecraft:mud_brick_stairs',
		'minecraft:mud_bricks',
		'minecraft:nether_brick_fence',
		'minecraft:nether_brick_slab',
		'minecraft:nether_brick_stairs',
		'minecraft:nether_bricks',
		'minecraft:nether_gold_ore',
		'minecraft:nether_quartz_ore',
		'minecraft:netherite_block',
		'minecraft:netherrack',
		'minecraft:observer',
		'minecraft:obsidian',
		'minecraft:orange_concrete',
		'minecraft:orange_glazed_terracotta',
		'minecraft:orange_terracotta',
		'minecraft:oxidized_chiseled_copper',
		'minecraft:oxidized_copper',
		'minecraft:oxidized_copper_bulb',
		'minecraft:oxidized_copper_door',
		'minecraft:oxidized_copper_grate',
		'minecraft:oxidized_copper_trapdoor',
		'minecraft:oxidized_cut_copper',
		'minecraft:oxidized_cut_copper_slab',
		'minecraft:oxidized_cut_copper_stairs',
		'minecraft:packed_ice',
		'minecraft:packed_mud',
		'minecraft:petrified_oak_slab',
		'minecraft:pink_concrete',
		'minecraft:pink_glazed_terracotta',
		'minecraft:pink_terracotta',
		'minecraft:piston',
		'minecraft:piston_head',
		'minecraft:pointed_dripstone',
		'minecraft:polished_andesite',
		'minecraft:polished_andesite_slab',
		'minecraft:polished_andesite_stairs',
		'minecraft:polished_basalt',
		'minecraft:polished_blackstone',
		'minecraft:polished_blackstone_brick_slab',
		'minecraft:polished_blackstone_brick_stairs',
		'minecraft:polished_blackstone_bricks',
		'minecraft:polished_blackstone_pressure_plate',
		'minecraft:polished_blackstone_slab',
		'minecraft:polished_blackstone_stairs',
		'minecraft:polished_deepslate',
		'minecraft:polished_deepslate_slab',
		'minecraft:polished_deepslate_stairs',
		'minecraft:polished_diorite',
		'minecraft:polished_diorite_slab',
		'minecraft:polished_diorite_stairs',
		'minecraft:polished_granite',
		'minecraft:polished_granite_slab',
		'minecraft:polished_granite_stairs',
		'minecraft:polished_tuff',
		'minecraft:polished_tuff_slab',
		'minecraft:polished_tuff_stairs',
		'minecraft:polished_tuff_wall',
		'minecraft:prismarine',
		'minecraft:prismarine_brick_slab',
		'minecraft:prismarine_brick_stairs',
		'minecraft:prismarine_bricks',
		'minecraft:prismarine_slab',
		'minecraft:prismarine_stairs',
		'minecraft:purple_concrete',
		'minecraft:purple_glazed_terracotta',
		'minecraft:purple_terracotta',
		'minecraft:purpur_block',
		'minecraft:purpur_pillar',
		'minecraft:purpur_slab',
		'minecraft:purpur_stairs',
		'minecraft:quartz_block',
		'minecraft:quartz_bricks',
		'minecraft:quartz_pillar',
		'minecraft:quartz_slab',
		'minecraft:quartz_stairs',
		'minecraft:raw_copper_block',
		'minecraft:raw_gold_block',
		'minecraft:raw_iron_block',
		'minecraft:red_concrete',
		'minecraft:red_glazed_terracotta',
		'minecraft:red_nether_brick_slab',
		'minecraft:red_nether_brick_stairs',
		'minecraft:red_nether_bricks',
		'minecraft:red_sandstone',
		'minecraft:red_sandstone_slab',
		'minecraft:red_sandstone_stairs',
		'minecraft:red_terracotta',
		'minecraft:redstone_block',
		'minecraft:redstone_ore',
		'minecraft:resin_brick_slab',
		'minecraft:resin_brick_stairs',
		'minecraft:resin_brick_wall',
		'minecraft:resin_bricks',
		'minecraft:respawn_anchor',
		'minecraft:sandstone',
		'minecraft:sandstone_slab',
		'minecraft:sandstone_stairs',
		'minecraft:small_amethyst_bud',
		'minecraft:smoker',
		'minecraft:smooth_basalt',
		'minecraft:smooth_quartz',
		'minecraft:smooth_quartz_slab',
		'minecraft:smooth_quartz_stairs',
		'minecraft:smooth_red_sandstone',
		'minecraft:smooth_red_sandstone_slab',
		'minecraft:smooth_red_sandstone_stairs',
		'minecraft:smooth_sandstone',
		'minecraft:smooth_sandstone_slab',
		'minecraft:smooth_sandstone_stairs',
		'minecraft:smooth_stone',
		'minecraft:smooth_stone_slab',
		'minecraft:soul_lantern',
		'minecraft:spawner',
		'minecraft:sticky_piston',
		'minecraft:stone',
		'minecraft:stone_brick_slab',
		'minecraft:stone_brick_stairs',
		'minecraft:stone_bricks',
		'minecraft:stone_pressure_plate',
		'minecraft:stone_slab',
		'minecraft:stone_stairs',
		'minecraft:stonecutter',
		'minecraft:terracotta',
		'minecraft:tube_coral_block',
		'minecraft:tuff',
		'minecraft:tuff_brick_slab',
		'minecraft:tuff_brick_stairs',
		'minecraft:tuff_brick_wall',
		'minecraft:tuff_bricks',
		'minecraft:tuff_slab',
		'minecraft:tuff_stairs',
		'minecraft:tuff_wall',
		'minecraft:warped_nylium',
		'minecraft:waxed_chiseled_copper',
		'minecraft:waxed_copper_block',
		'minecraft:waxed_copper_bulb',
		'minecraft:waxed_copper_door',
		'minecraft:waxed_copper_grate',
		'minecraft:waxed_copper_trapdoor',
		'minecraft:waxed_cut_copper',
		'minecraft:waxed_cut_copper_slab',
		'minecraft:waxed_cut_copper_stairs',
		'minecraft:waxed_exposed_chiseled_copper',
		'minecraft:waxed_exposed_copper',
		'minecraft:waxed_exposed_copper_bulb',
		'minecraft:waxed_exposed_copper_door',
		'minecraft:waxed_exposed_copper_grate',
		'minecraft:waxed_exposed_copper_trapdoor',
		'minecraft:waxed_exposed_cut_copper',
		'minecraft:waxed_exposed_cut_copper_slab',
		'minecraft:waxed_exposed_cut_copper_stairs',
		'minecraft:waxed_oxidized_chiseled_copper',
		'minecraft:waxed_oxidized_copper',
		'minecraft:waxed_oxidized_copper_bulb',
		'minecraft:waxed_oxidized_copper_door',
		'minecraft:waxed_oxidized_copper_grate',
		'minecraft:waxed_oxidized_copper_trapdoor',
		'minecraft:waxed_oxidized_cut_copper',
		'minecraft:waxed_oxidized_cut_copper_slab',
		'minecraft:waxed_oxidized_cut_copper_stairs',
		'minecraft:waxed_weathered_chiseled_copper',
		'minecraft:waxed_weathered_copper',
		'minecraft:waxed_weathered_copper_bulb',
		'minecraft:waxed_weathered_copper_door',
		'minecraft:waxed_weathered_copper_grate',
		'minecraft:waxed_weathered_copper_trapdoor',
		'minecraft:waxed_weathered_cut_copper',
		'minecraft:waxed_weathered_cut_copper_slab',
		'minecraft:waxed_weathered_cut_copper_stairs',
		'minecraft:weathered_chiseled_copper',
		'minecraft:weathered_copper',
		'minecraft:weathered_copper_bulb',
		'minecraft:weathered_copper_door',
		'minecraft:weathered_copper_grate',
		'minecraft:weathered_copper_trapdoor',
		'minecraft:weathered_cut_copper',
		'minecraft:weathered_cut_copper_slab',
		'minecraft:weathered_cut_copper_stairs',
		'minecraft:white_concrete',
		'minecraft:white_glazed_terracotta',
		'minecraft:white_terracotta',
		'minecraft:yellow_concrete',
		'minecraft:yellow_glazed_terracotta',
		'minecraft:yellow_terracotta',
	strict=False))